Loading...
Searching...
No Matches
Magick::typeImage Class Reference

## Public Member Functions

| typeImage (const ImageType type_)
void | operator() (Image &image_) const

## Private Attributes

Magick::ImageType | _type

## Detailed Description

Definition at line 1808 of file STL.h.

## Constructor & Destructor Documentation

## typeImage()

Magick::typeImage::typeImage | ( | const ImageType | type_ | ) |

Definition at line 1611 of file STL.cpp.

: _type( type_ )
{
}

## Member Function Documentation

## operator()()

void Magick::typeImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1615 of file STL.cpp.

{
image_.type( _type );
}

## Field Documentation

## _type

Magick::ImageType Magick::typeImage::_type

private

Definition at line 1816 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp